Tasks

Create task

POST
/api/public/v3/tasks

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/tasks" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'name=string&description=string&employee_id=string&starts_on=string'
{  "data": {    "id": 0,    "type": "string",    "title": "string",    "starts_on": "string",    "ends_on": null,    "completed_at": null,    "completed": true,    "description": "string",    "description_plain": "string",    "assigned_to": {      "id": 0,      "full_name": "string",      "email": "string"    },    "created_by": {      "id": 0,      "full_name": "string",      "email": "string"    },    "created_at": "string",    "updated_at": "string"  }}